> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get swaption vol cube data



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetSwaptionVolCubeData
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetSwaptionVolCubeData:
    post:
      tags:
        - MarketData
      summary: Get swaption vol cube data
      operationId: GetSwaptionVolCubeData
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetSwaptionVolCubeDataRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetSwaptionVolCubeDataRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetSwaptionVolCubeDataRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetSwaptionVolCubeDataRequest'
      responses:
        '200':
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetSwaptionVolCubeDataRequest:
      example:
        include_market_quotes: true
        rate_asset_name: rate_asset_name
        vol_type: black
      properties:
        market_date:
          format: date-time
          type: string
        strike_spreads:
          items:
            format: double
            type: number
          nullable: true
          type: array
        include_sabr_parameters:
          type: boolean
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        rate_asset_name:
          nullable: true
          type: string
        include_market_quotes:
          type: boolean
        vol_type:
          enum:
            - black
            - bachelier
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetSwaptionVolCubeDataRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````